SPARSE_KEYMAP_SETUP(9)

NAME
sparse_keymap_setup - set up sparse keymap for an input device

SYNOPSIS

int sparse_keymap_setup(struct input_dev * dev, const struct key_entry * keymap, int (*setup) (struct input_dev *, struct key_entry *));

ARGUMENTS

dev
    Input device

keymap
    Keymap in form of array of key_entry structures ending with KE_END type entry

setup
    Function that can be used to adjust keymap entries depending on device's deeds, may be NULL

DESCRIPTION

The function calculates size and allocates copy of the original keymap after which sets up input device event bits appropriately. Before destroying input device allocated keymap should be freed with a call to sparse_keymap_free.

COPYRIGHT